Retrieve orders by id
GET
/v3/orders/{id}
const url = 'https://api-crm-staging.divinea.com/api/v3/orders/example';const options = {method: 'GET', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-crm-staging.divinea.com/api/v3/orders/example \ --header 'APIKey: <APIKey>'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”id
required
string
Id
Header Parameters
Sezione intitolata “Header Parameters”APIKey
required
string
APIKey
X-DWS-FLAT
string
X-DWS-FLAT
Query Parameters
Sezione intitolata “Query Parameters”use_flat
boolean
Use_flat
Responses
Sezione intitolata “Responses”OK
Media type*/*
OrdersAndReservationsDTOV3
object
channelId
integer format: int32
channelName
string
contactId
string
couponCode
string
couponDiscountTotalCents
number format: double
creationDate
string format: date-time
deliveryDate
string format: date-time
externalId
string
giftCents
number format: double
grossTotalPrice
number format: double
id
string
manualDiscountTotalCents
number format: double
netTotalPrice
number format: double
orderType
string
paid
boolean
paymentMethod
string
pointOfSaleWineSuiteId
string format: uuid
products
Array<object>
OrdersAndReservationsProductDTOV3object
metadata
Array<object>
MetadataFieldobject
label
string
value
string
netPrice
number format: double
productId
string format: uuid
productName
string
quantity
integer format: int32
status
string
updatedDate
string format: date-time
vatRate
string
wineryId
string